<?php
/**
 * Plugin Name: Enable Multi-Site
 * Description: Enables Multi-Site on a Wordpress 3.0 Install
 * Version: 1.4
 * Revision Date: July 19, 2010
 * Requires at least: WP 3.0
 * Tested up to: WP 3.0
 * Author: Jason Grim
 * Author URI: http://jgwebdevelopment.com
 * Plugin URI: http://jgwebdevelopment.com/plugins/wordpress-multi-site-enabler-plugin
 */

// This plugin's version
define ( 'EMS_PLUGIN_VERSION', 1.4 );

// Default directory path
define ( 'MULTI_SITE_DIR', WP_PLUGIN_DIR . '/wordpress-multi-site-enabler-plugin-v10' );

// Includes file path
define ( 'MULTI_SITE_INC_DIR', MULTI_SITE_DIR . '/includes' );

// Wordpress root directory
define ( 'WORDPRESS_ROOT_DIR', WP_PLUGIN_DIR . '/../../' );

// Include functions file
include MULTI_SITE_INC_DIR . '/functions.inc.php';

// Include the homepage file / director
include MULTI_SITE_INC_DIR . '/page-home.php';

// Check if all patches have been installed
if ( is_admin () ) {
	$current_version = get_option ( 'enable-multi-site-plugin-version' );
	
	/**
	 * Update patch has been integradted in v1.4.
	 * This checks if the previous version is not set ( versions 1.0 - 1.3 )
	 * or if the currently installed version is greater thant he prior.
	 * Then it performs the patcher script. 
	 */
	if ( $current_version < EMS_PLUGIN_VERSION ) {
		enable_multi_site_update_patcher ();
	}
}

/**
 * On plugin activation set version option unless there needs to be a patch
 * 
 * TODO: on later versions, don't auto update the new version. only do that when a patch is performed
 * 
 * @since 1.4
 * @return null
 */ 
function enable_multi_site_activation_hook () {
	$current_version = get_option ( 'enable-multi-site-plugin-version' );
	if ( $current_version == false ) {
		update_option ( 'enable-multi-site-plugin-version', EMS_PLUGIN_VERSION );
	}
}
register_activation_hook ( __FILE__, 'enable_multi_site_activation_hook' );

/**
 * The add menu function thingy
 * 
 * @since 1.0
 * @return null
 */
function register_menu_page_or_something () {
	add_options_page ( 'Enable Multi-Site', 'Enable Multi-Site', 'administrator', 'enable-multi-site-plugin', 'multiSiteEnable' );
}
add_action ( 'admin_menu', 'register_menu_page_or_something' );
?>
